<form nz-form [nzLayout]="'horizontal'" [formGroup]="formGroup">
  <nz-form-item>
    <nz-form-label [nzSpan]="0" nzRequired> Nombre </nz-form-label>
    <nz-form-control nzHasFeedback>
      <input
        nz-input
        formControlName="nombres"
        placeholder="nombre persona"
        required
      />
    </nz-form-control>

    <nz-form-label [nzSpan]="0" nzRequired> Telefono </nz-form-label>
    <nz-form-control nzHasFeedback>
      <input
        nz-input
        formControlName="telefono"
        placeholder="ingrese su Telefono/cel"
        required
      />
    </nz-form-control>
  </nz-form-item>

  <nz-form-item>
    <nz-form-label [nzSpan]="0" nzRequired>Direccion</nz-form-label>
    <nz-form-control nzHasFeedback>
      <input
        nz-input
        formControlName="direccion"
        placeholder="ingrese su direccion"
        required
      />
    </nz-form-control>
    <nz-form-label [nzSpan]="0" nzRequired> Nit </nz-form-label>
    <nz-form-control nzHasFeedback>
      <input
        nz-input
        formControlName="nit"
        placeholder="ingrese su nit"
        required
      />
    </nz-form-control>
  </nz-form-item>

  <nz-form-item>
    <nz-form-label [nzSpan]="0" nzRequired> Razon Social </nz-form-label>
    <nz-form-control nzHasFeedback>
      <input
        nz-input
        formControlName="razon_social"
        placeholder="razon social"
        required
      />
    </nz-form-control>
  </nz-form-item>
  <div *nzModalFooter>
    <button nz-button nzType="default" (click)="close()">Cancelar</button>
    <button
      nz-button
      nzType="primary"
      (click)="save()"
      [disabled]="formGroup.invalid"
    >
      Guardar
    </button>
  </div>
</form>
